/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.util.task.valueobject;

/**
 * 処理クラス [BlancoTmxUtilConvertProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoTmxUtilConvertProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcedir]
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納されている入力先ルート・フォルダを指定します。
     */
    private String fSourcedir;

    /**
     * フィールド [targetdir]
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納される出力先ルート・フォルダを指定します。
     */
    private String fTargetdir;

    /**
     * フィールド [isindentxml]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * XMLをインデントするかどうか。
     */
    private boolean fIsindentxml = true;

    /**
     * フィールド [encoding]
     *
     * 項目の型 [java.lang.String]<br>
     * XMLエンコーディング。
     */
    private String fEncoding;

    /**
     * フィールド [adjustlang]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * lang を調整するかどうか? 翻訳ブレインが処理できるように加工するにはこれを true にセット。
     */
    private boolean fAdjustlang = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcedir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納されている入力先ルート・フォルダを指定します。
     *
     * @param argSourcedir フィールド[sourcedir]に格納したい値
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド[sourcedir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納されている入力先ルート・フォルダを指定します。
     *
     * @return フィールド[sourcedir]に格納されている値
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納される出力先ルート・フォルダを指定します。
     *
     * @param argTargetdir フィールド[targetdir]に格納したい値
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド[targetdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMXファイルが格納される出力先ルート・フォルダを指定します。
     *
     * @return フィールド[targetdir]に格納されている値
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [isindentxml]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * XMLをインデントするかどうか。
     *
     * @param argIsindentxml フィールド[isindentxml]に格納したい値
     */
    public void setIsindentxml(final boolean argIsindentxml) {
        fIsindentxml = argIsindentxml;
    }

    /**
     * フィールド[isindentxml]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * XMLをインデントするかどうか。
     *
     * @return フィールド[isindentxml]に格納されている値
     */
    public boolean getIsindentxml() {
        return fIsindentxml;
    }

    /**
     * フィールド [encoding]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XMLエンコーディング。
     *
     * @param argEncoding フィールド[encoding]に格納したい値
     */
    public void setEncoding(final String argEncoding) {
        fEncoding = argEncoding;
    }

    /**
     * フィールド[encoding]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * XMLエンコーディング。
     *
     * @return フィールド[encoding]に格納されている値
     */
    public String getEncoding() {
        return fEncoding;
    }

    /**
     * フィールド [adjustlang]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * lang を調整するかどうか? 翻訳ブレインが処理できるように加工するにはこれを true にセット。
     *
     * @param argAdjustlang フィールド[adjustlang]に格納したい値
     */
    public void setAdjustlang(final boolean argAdjustlang) {
        fAdjustlang = argAdjustlang;
    }

    /**
     * フィールド[adjustlang]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * lang を調整するかどうか? 翻訳ブレインが処理できるように加工するにはこれを true にセット。
     *
     * @return フィールド[adjustlang]に格納されている値
     */
    public boolean getAdjustlang() {
        return fAdjustlang;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.util.task.valueobject.BlancoTmxUtilConvertProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",isindentxml=" + fIsindentxml);
        buf.append(",encoding=" + fEncoding);
        buf.append(",adjustlang=" + fAdjustlang);
        buf.append("]");
        return buf.toString();
    }
}
